spring:
  config:
    activate:
      on-profile: common
  main:
    banner-mode: off
server:
  port: 0

---

spring:
  config:
    activate:
      on-profile: eureka
eureka:
  instance:
    hostname: localhost
    prefer-ip-address: true
    instance-id: ${spring.application.name}-${eureka.instance.hostname}-${random.uuid}-${datetime}
  client:
    service-url:
      defaultZone: http://localhost:35670/eureka/

---

spring:
  config:
    activate:
      on-profile: metrics
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    prometheus:
      enabled: true
  metrics:
    export:
      jmx:
        enabled: false
